<template>
  <basic-container>
    <avue-crud v-model="form" :option="option" :data="data" ref="crud" :before-open="beforeOpen" @on-load="onLoad" @row-save="rowSave" @row-update="rowUpdate" @row-del="rowDel" :page.sync="page">
      <template slot-scope="{row,index,type}" slot="selInputForm">
        <div style="margin-left: 75px">
          <el-input  v-model="form.text" :size="size"
                     style="width: 210px" :readonly="true"></el-input>
          <el-button type="primary" style="margin-left: 10px" @click="addHandle">选择</el-button>
          <el-button type="info">取消</el-button>
        </div>
      </template>
    </avue-crud>
    <el-dialog :visible.sync="packageBox"
               append-to-body
               title="查看业务类型"
               width="1000px">
      <original-range @rowchange="rowchange"></original-range>
      <span slot="footer" class="dialog-footer">
            <el-button @click="dialoghandelfalse">取 消</el-button>
            <el-button type="primary" @click="dialoghandeltrue">确 定</el-button>
  </span>
    </el-dialog>
    <el-dialog :visible.sync="packageLinkBox"
               append-to-body
               title="查看链接类型"
               width="1000px">
      <original-link @rowLinkchange="rowLinkchange"></original-link>
      <span slot="footer" class="dialog-footer">
            <el-button @click="Linkdialoghandelfalse">取 消</el-button>
            <el-button type="primary" @click="Linkdialoghandeltrue">确 定</el-button>
  </span>
    </el-dialog>
  </basic-container>
</template>

<script>
export default {
  name: "passwords.vue",
  data() {
    return {
      rouname:"",
      // 业务类型对话框
      packageBox:false,
      //链接类型对话框
      packageLinkBox:false,
      //值域下拉框数据
      Typelist:[],
      //版本数据
      banList:[],
      form:{
        text:""
      },
      page: {
        pageSize: 10,
        currentPage: 1,
        total: 100
      },
      data: [
        {
          name:"a",
          prop:"VTstring",
          admin:"默认",
          desc:"测试A"
        },
        {
          name:"b",
          prop:"VTstring",
          admin:"默认",
          desc:"测试B"
        },
        {
          name:"c",
          prop:"VTstring",
          admin:"默认",
          desc:"测试C"
        },
        {
          name:"d",
          prop:"VTstring",
          admin:"默认",
          desc:"测试D"
        }
      ],
      option:{
        selection: true,
        headerAlign: 'center',
        border: true,
        index: true,
        rowKey:'id',
        tabs: true,
        column:[
          {
            label: '属性名',
            prop: 'name',
            align: 'left',
            display:false
          },
          {
            label: '标签',
            prop: 'tag',
            hide:true,
            display: false
          },
          {
            label: '是否使用枚举',
            prop: 'isnot',
            type: 'switch',
            hide:true,
            labelWidth: 132,
            display: false,
            dicData:[{
              label:'是',
              value:0
            },{
              label:'否',
              value:1
            }]
          },
          {
            label: '属性类型',
            prop: 'prop',
            type:"select",
            display: false,
            dicData:[
              {
                label:"测试1",
                value:0
              },
              {
                label:"测试2",
                value:1
              },
              {
                label:"测试3",
                value:2
              }
            ]
          },
          {
            label: '默认值',
            prop: 'admin',
            display: false
          },
          {
            label: '允许为空',
            prop: 'isDefault',
            type: 'switch',
            display: false,
            hide:true,
            labelWidth: 132,
            dicData:[{
              label:'不允许',
              value:0
            },{
              label:'允许',
              value:1
            }]
          },
          {
            label: "长度",
            prop: "length",
            hide: true,
            display: false
          },
          {
            label: '描述',
            prop: 'desc',
            type:"textarea",
            display: false
          },
        ],
        group:[
          {
            label: '属性项',
            prop:"index",
            column: [
              {
                label: '属性名',
                prop: 'name',
                align: 'left',
              },
              {
                label: '标签',
                prop: 'tag',
                hide:true
              },
              {
                label: '属性类型',
                prop: 'prop',
                type:"select",
                dicData:[
                  {
                    label:"测试1",
                    value:0
                  },
                  {
                    label:"测试2",
                    value:1
                  },
                  {
                    label:"测试3",
                    value:2
                  }
                ]
              },
              {
                label: '默认值',
                prop: 'admin',
              },
              {
                label: '允许为空',
                prop: 'isDefault',
                type: 'switch',
                hide:true,
                labelWidth: 132,
                dicData:[{
                  label:'不允许',
                  value:0
                },{
                  label:'允许',
                  value:1
                }]
              },
              {
                label: "长度",
                prop: "length",
                hide: true
              },
              {
                label: '描述',
                prop: 'desc',
                type:"textarea"
              },
            ]
          },
          {
            label: '值域',
            column:[
              {
                placeholder:"请选择值域",
                span:12,
                label: '值域',
                prop: 'range',
                value:0,
                type:"select",
                change:this.selectChange,
                dicData:[
                  {
                    label:"业务类型",
                    value:0
                  },
                  {
                    label:"链接类型",
                    value:1
                  },
                ]},
              {
                prop:"selInput",
                placeholder: false,
                readonly:true,
                display: true,
                formslot: true,
              },
              {
                label: "选择版本",
                prop:"banben",
                type:'select',
                value:0,
                change: this.selchange,
                display: true,
                dicData: [
                  {
                    label: '当前版本次',
                    value:0
                  },
                  {
                    label: '最新版本次',
                    value:1
                  }
                ]
              },
              {
                //默认表格插槽
                prop:"default",
                span:24,
                display: false
              }
            ]
          },
          {
            label: '枚举',
            column: [
              {
                label: '是否使用枚举',
                prop: 'isnot',
                type: 'switch',
                hide:true,
                labelWidth: 132,
                span:8,
                dicData:[{
                  label:'是',
                  value:0
                },{
                  label:'否',
                  value:1
                }]
              },
              {
                prop:'text',
                type:'input',
                placeholder:'请输入内容',
                hide:true,
                display:false
              },
              {
                prop: 'enumerationSelect',
                type: 'select',
                placeholder: '请选择',
                hide: true,
                span:12,
                dicData: [
                  {
                    label: 'a',
                    value: 0
                  },
                  {
                    label: 'b',
                    value: 1
                  },
                  {
                    label: 'c',
                    value: 2
                  }
                ]
              },
              {
                label: '描述',
                prop: 'endesc',
                type:"textarea",
                labelWidth: 132,
              },
            ]
          }
        ]
      },

    }
  },


  created() {
  },
  methods:{
    rowLinkchange(row){
      this.form.text=row.name
    },
    rowchange(row){
      this.form.text=row.name
    },
    //值域类型选择
    addHandle() {
      this.packageBox=true
      if(this.Typelist.value == 0){
        this.packageBox=true
        this.packageLinkBox=false
      }else if(this.Typelist.value == 1){
        this.packageBox=false
        this.packageLinkBox=true
      }
    },
    // 值域业务类型对话框取消
    dialoghandelfalse() {
      this.packageBox=false;
      this.form.text=""
    },
    //值域业务类型对话框确定
    dialoghandeltrue(){
      this.packageBox=false
    },
    // 值域链接类型对话框取消
    Linkdialoghandelfalse(){
      this.packageLinkBox=false;
      this.form.text=""
    },
    //值域链接类型对话框确定
    Linkdialoghandeltrue(){
      this.packageLinkBox=false
    },
    selectChange(val){
      this.Typelist=val

     if(val.value == 0 ){
       this.option.group[1].column[2].display=false
     }else if(val .value == 1  ){
       this.option.group[1].column[2].display=true
     }else if(val.column.value == 0){
       this.option.group[1].column[2].display=false
     }
      },
    selchange(val){
      this.banList=val
    },
    // beforeOpen (done, type) {
    //   if (['view', 'edit'].includes(type)) {
    //     // 查看和编辑逻辑
    //     console.log("编辑")
    //   } else {
    //     //新增逻辑
    //     console.log(this.Typelist)
    //     console.log(this.banList)
    //
    //     console.log("新增")
    //   }
    //   done();
    //
    // }
    },

    // rowDel(row){
    //   this.$confirm("确定将选择数据删除?", {
    //     confirmButtonText: "确定",
    //     cancelButtonText: "取消",
    //     type: "warning"
    //   })
    //     .then(() => {
    //       return getremove(row.id);
    //     })
    //     .then(() => {
    //       this.$message({
    //         type: "success",
    //         message: "操作成功!"
    //       });
    //       this.onLoad();
    //     });
    // },
    // rowSave(row,done){
    //   getadd(row).then(()=>{
    //     this.$message({
    //       type: "success",
    //       message: "操作成功!"
    //     });
    //     done(row)
    //     this.onLoad()
    //   }).catch((res)=>{
    //     this.$message({
    //       type: "success",
    //       message:res
    //     });
    //   })
    // },
    // rowUpdate(row,index,done){
    //   getupdata(row).then(()=>{
    //     this.onLoad()
    //     this.$message({
    //       type: "success",
    //       message: "修改成功!"
    //     });
    //     done(row)
    //   })
    // },
    // onLoad(page, params = {}) {
    //   // this.loading = true;
    //   // getPage(this.page.currentPage, this.page.pageSize, Object.assign(params, this.query)).then(res => {
    //   //   // const data = res.data.data;
    //   //   // this.page.total = data.total;
    //   //   // this.data = data.records;
    //   //   // this.loading = false;
    //   //   // this.selectionClear();
    //   //   this.data=res.data.data.records
    //   // })
    // }
  // }

}
</script>

<style lang="scss">

</style>
